Package com.independentsoft.graph.users

# Class AutomaticRepliesSettings

java.lang.Object
com.independentsoft.graph.users.AutomaticRepliesSettings

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class AutomaticRepliesSettings extends Object implements ICreatable, IUpdatable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AutomaticRepliesSettings()`
  `AutomaticRepliesSettings​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExternalAudience`
  `getExternalAudience()`
  `String`
  `getExternalReplyMessage()`
  `String`
  `getInternalReplyMessage()`
  `DateTimeTimeZone`
  `getScheduledEndTime()`
  `DateTimeTimeZone`
  `getScheduledStartTime()`
  `AutomaticRepliesStatus`
  `getStatus()`
  `void`
  `setExternalAudience​(ExternalAudience externalAudience)`
  `void`
  `setExternalReplyMessage​(String externalReplyMessage)`
  `void`
  `setInternalReplyMessage​(String internalReplyMessage)`
  `void`
  `setScheduledEndTime​(DateTimeTimeZone scheduledEnd)`
  `void`
  `setScheduledStartTime​(DateTimeTimeZone scheduledStartTime)`
  `void`
  `setStatus​(AutomaticRepliesStatus status)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AutomaticRepliesSettings

    public AutomaticRepliesSettings()

  - ### AutomaticRepliesSettings

    public AutomaticRepliesSettings​(JsonObject jsonObject)

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Returns:
      JSON string representation for creating this resource

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### getExternalAudience

    public ExternalAudience getExternalAudience()

  - ### setExternalAudience

    public void setExternalAudience​(ExternalAudience externalAudience)

  - ### getExternalReplyMessage

    public String getExternalReplyMessage()

  - ### setExternalReplyMessage

    public void setExternalReplyMessage​(String externalReplyMessage)

  - ### getInternalReplyMessage

    public String getInternalReplyMessage()

  - ### setInternalReplyMessage

    public void setInternalReplyMessage​(String internalReplyMessage)

  - ### getScheduledEndTime

    public DateTimeTimeZone getScheduledEndTime()

  - ### setScheduledEndTime

    public void setScheduledEndTime​(DateTimeTimeZone scheduledEnd)

  - ### getScheduledStartTime

    public DateTimeTimeZone getScheduledStartTime()

  - ### setScheduledStartTime

    public void setScheduledStartTime​(DateTimeTimeZone scheduledStartTime)

  - ### getStatus

    public AutomaticRepliesStatus getStatus()

  - ### setStatus

    public void setStatus​(AutomaticRepliesStatus status)